Loading...
Searching...
No Matches
OpenMesh::vector_traits< osg::Vec4d > Struct Reference

Vector traits for OpenSG vector type. More...

`#include <OpenMesh/Tools/Kernel_OSG/VectorAdapter.hh>`

## Public Types

typedef osg::Vec4d | vector_type
typedef vector_type::ValueType | value_type
typedef GenProg::Int2Type< vector_type::_iSize > | typed_size

## Static Public Member Functions

static size_t | size ()

## Static Public Attributes

static const size_t | size_ = vector_type::_iSize

## Detailed Description

Vector traits for OpenSG vector type.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/VectorAdapter.hh